=== debian/control ===
Source: manpages-de
Section: doc
Priority: optional
Maintainer: Martin Schulze <joey@debian.org>
Standards-Version: 2.3.0.1

Package: manpages-de
Architecture: all
Suggests: man
Description: German manpages
 This package contains the Linux manual pages translated into German.
 Following sections are included:
  * 1 = User programs (e.g. ls, ln)
  * 4 = Devices (e.g. hd, sd).
  * 5 = File formats and protocols, syntaxis of several system
    files (e.g. wtmp, /etc/passwd, nfs).
  * 6 = Games etc.
  * 7 = Conventions and standards, macro packages, etc.
    (e.g. nroff, ascii).

Package: manpages-de-dev
Architecture: all
Suggests: man
Description: German manpages
 This package contains the Linux manual pages translated into German.
 Following sections are provided:
  * 2 = Linux system calls.
  * 3 = Libc calls (note that a more comprehensive source of
    information may be found in the libc6-doc package).
  * 8 = Kernel functions
