=== debian/rules ===
#! /usr/bin/make -f

#   Copyright 1994-97   joey@infodrom.north.de (Martin Schulze)
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; version 2 dated June, 1991.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program;  if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave., Cambridge, MA 02139, USA.
SHELL=/bin/bash

# The name and version of the source
#
source = $(shell grep "^Source: " debian/control|head -1|sed 's/Source: \(.*\)/\1/g')
package = $(shell grep "^Package: " debian/control|head -1|sed 's/Package: \(.*\)/\1/g')
package2 = $(shell grep "^Package: " debian/control|tail -1|sed 's/Package: \(.*\)/\1/g')
version = $(shell grep "^$(source) " debian/changelog|head -1 |sed 's/.*(\(.*\)\-[^\-]*).*/\1/g')
revision = $(shell grep "^$(source) " debian/changelog|head -1 |sed 's/.*([^\-]*\-\(.*\)).*/\1/g')

installbin = install -g root -o root -m 755
installdoc = install -g root -o root -m 644

build:
	sed -e "s/@date@/`date +%d.%m.%y`/" -e "s/@time@/`date +%H:%M`/" \
	  < README > readme.txt
	touch stamp-build

clean: debclean
	rm -rf stamp-build *~
	rm -f readme.txt

debclean:
# Cleans debian binary directories to allow binary creation
	rm -rf debian/{dev,tmp}
	rm -f debian/{files,substvars}

binary-indep:
# Nothing to be done here

binary-arch: debclean
	test -f stamp-build || $(MAKE) -f debian/rules build
	$(installbin) -d debian/{dev,tmp}/DEBIAN
	chown -R root.root debian/{dev,tmp}
	chmod -R g-ws debian/{dev,tmp}
	#
	$(installbin) -d debian/tmp/usr/doc/$(package)
	$(installdoc) debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
	$(installdoc) CHANGES debian/tmp/usr/doc/$(package)/changelog
	$(installdoc) readme.txt debian/tmp/usr/doc/$(package)
	$(installdoc) debian/copyright debian/tmp/usr/doc/$(package)
	cat COPYRIGHT >> debian/tmp/usr/doc/$(package)/copyright
	gzip -9f debian/tmp/usr/doc/$(package)/changelog{,.Debian}
	#
	$(installbin) -d debian/{dev,tmp}/usr/man/de
	for sect in 1 4 5 6 7 8; do \
	  if [ -d man$$sect ]; then \
	    $(installbin) -d debian/tmp/usr/man/de/man$$sect; \
	    for file in `(cd man$$sect && ls *.$$sect*)`; do \
	      $(installdoc) man$$sect/$$file debian/tmp/usr/man/de/man$$sect/$$file; \
	    done; \
	  fi; \
	done
	rm -f debian/tmp/usr/man/de/man/man1/zsoelim.1
	rm -f debian/tmp/usr/man/de/man/man1/manpath.1
	rm -f debian/tmp/usr/man/de/man/man5/manpath.5
	rm -f debian/tmp/usr/man/de/man/man8/mandb.8
	rm -f debian/tmp/usr/man/de/man/man8/catman.8
	rm -f debian/tmp/usr/man/de/man1/{man,apropos,whatis}.1
	gzip -9f debian/tmp/usr/man/de/man?/*
	#
	$(installbin) -d debian/dev/usr/doc/$(package2)
	$(installdoc) debian/changelog debian/dev/usr/doc/$(package2)/changelog.Debian
	$(installdoc) CHANGES debian/dev/usr/doc/$(package2)/changelog
	$(installdoc) readme.txt debian/dev/usr/doc/$(package2)
	$(installdoc) debian/copyright debian/dev/usr/doc/$(package2)
	cat COPYRIGHT >> debian/dev/usr/doc/$(package2)/copyright
	gzip -9f debian/dev/usr/doc/$(package2)/changelog
	#
	for sect in 2 3; do \
	  if [ -d man$$sect ]; then \
	    $(installbin) -d debian/dev/usr/man/de/man$$sect; \
	    for file in `(cd man$$sect && ls *.$$sect*)`; do \
	      $(installdoc) man$$sect/$$file debian/dev/usr/man/de/man$$sect/$$file; \
	    done; \
	  fi; \
	done
	gzip -9f debian/dev/usr/man/de/man?/*
	#
	dpkg-gencontrol -pmanpages-de -Pdebian/tmp
	dpkg-gencontrol -pmanpages-de-dev -Pdebian/dev
	dpkg --build debian/tmp ..
	dpkg --build debian/dev ..

binary: binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b' or dsc; false

dsc:
	-test -d debian/tmp && $(MAKE) -f debian/rules clean
	if [ ! -f ../$(source)_$(version).orig.tar.gz -a -f ../orig/$(source)_$(version).orig.tar.gz ]; \
	then \
	  ln -s orig/$(source)_$(version).orig.tar.gz ../$(source)_$(version).orig.tar.gz; \
	  touch /tmp/stamp-$(source)-link; \
	fi; \
	cd .. && dpkg-source -b $(source)-$(version)
	if [ -f /tmp/stamp-$(source)-link ]; then \
	  rm ../$(source)_$(version).orig.tar.gz /tmp/stamp-$(source)-link; \
	fi

checkroot:
	$(checkdir)
	test root = "`whoami`"

dist: binary dsc

.PHONY: binary binary-arch binary-indep clean checkroot
